Name:           relaxngDatatype
Version:        2011.1
Release:        9
Summary:        Relaxng Datatype library for Java
License:        BSD
URL:            https://github.com/java-schema-utilities/relaxng-datatype-java
Source0:        https://github.com/java-schema-utilities/relaxng-datatype-java/archive/relaxngDatatype-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local mvn(org.sonatype.oss:oss-parent:pom:)

%description
RELAX NG is a schema language for XML--a RELAX NG schema specifies a pattern for the structure and
content of an XML document.A RELAX NG schema is itself an XML document but RELAX NG also offers
a popular compact,non-XML syntax.

%package        help
Summary:        Help document for RelaxngDatatype API
Provides:       relaxngDatatype-javadoc = %{version}-%{release}
Obsoletes:      relaxngDatatype-javadoc < %{version}-%{release}

%description    help
This package provides help document about Relaxng Datatype library for Java.

%prep
%autosetup -n relaxng-datatype-java-relaxngDatatype-%{version} -p1

%pom_xpath_remove "pom:build/pom:extensions"
%mvn_alias "com.github.relaxng:relaxngDatatype" "relaxngDatatype:relaxngDatatype"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/relaxngDatatype

%files help -f .mfiles-javadoc

%changelog
* Fri Apr 17 2020 leiju <leiju4@huawei.com> - 2011.1-9
- Package init
